OBJ

  XB    : "XBee_Object" 
  PST   : "FullDuplexSerialPlus"
  GPS   : "GPS_SmartMode"
  FS    : "FloatString"
  
VAR

  Long BLon, BLat, ULat, ULon, DataIn
  
CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

  XB_Rx = 3
  XB_Tx = 2
  Baud = 9600

PUB Go | A
  PST.start(31, 30, 0, Baud)
  XB.start (XB_Rx, XB_TX, 0, Baud)
  GPS.start(GPS#EASTERN_TIME, TRUE)
      
  repeat    
    A := XB.Rx       
    IF A == 11       
      Location
      Display
    
PRI Location 

  DataIn := XB.RxTime(100)         
      If DataIn == "!"                 
        ULat  := XB.RxDecTime(3000)
        ULon  := XB.RxDecTime(3000)
        BLat := GPS.GetLatitude
        BLon := GPS.GetLongitude
PRI Display

      PST.tx(1)
      PST.Str(String("User Location: ")) 
      PST.Str(FS.FloatToString(ULat))
      PST.Str(string(",")) 
      PST.Str(FS.FloatToString(ULon))    
      PST.tx(13)
      PST.Str(String("Bot Location: "))           
      PST.str(FS.FloatToString(BLat))
      PST.Str(string(","))          
      PST.str(FS.FloatToString(BLon))
          